org.apache.hadoop.yarn.server.api.records.impl.pb

## Class ContainerQueuingLimitPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.records.ContainerQueuingLimit
  - - org.apache.hadoop.yarn.server.api.records.impl.pb.ContainerQueuingLimitPBImpl

-     public class ContainerQueuingLimitPBImpl
      extends ContainerQueuingLimit

  Implementation of ContainerQueuingLimit interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerQueuingLimitPBImpl()`
    `ContainerQueuingLimitPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ContainerQueuingLimitProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxQueueLength()`
    `int` | `getMaxQueueWaitTimeInMs()`
    `org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ContainerQueuingLimitProto` | `getProto()`
    `void` | `setMaxQueueLength(int queueLength)`
    `void` | `setMaxQueueWaitTimeInMs(int waitTime)`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.api.records.ContainerQueuingLimit

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerQueuingLimitPBImpl

          public ContainerQueuingLimitPBImpl()

    - #### ContainerQueuingLimitPBImpl

          public ContainerQueuingLimitPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ContainerQueuingLimitProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ContainerQueuingLimitProto getProto()

    - #### getMaxQueueWaitTimeInMs

          public int getMaxQueueWaitTimeInMs()

      Specified by:
        `getMaxQueueWaitTimeInMs` in class `ContainerQueuingLimit`

    - #### setMaxQueueWaitTimeInMs

          public void setMaxQueueWaitTimeInMs(int waitTime)

      Specified by:
        `setMaxQueueWaitTimeInMs` in class `ContainerQueuingLimit`

    - #### getMaxQueueLength

          public int getMaxQueueLength()

      Specified by:
        `getMaxQueueLength` in class `ContainerQueuingLimit`

    - #### setMaxQueueLength

          public void setMaxQueueLength(int queueLength)

      Specified by:
        `setMaxQueueLength` in class `ContainerQueuingLimit`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.